baseURL: "https://darnodo.github.io/"
title: 🧑‍💻 Notebook
theme: hextra

defaultContentLanguage: fr
languageCode: fr

menu:
  main:
    - name: Documentation
      pageRef: /documentation
      weight: 1
    - name: Netlab
      pageRef: /netlab
      weight: 2
    - name: Blog
      pageRef: /blog
      weight: 3
    - name: About
      pageRef: /about
      weight: 4
    - name: Search
      weight: 5
      params:
        type: search
    - name: Gitea
      weight: 6
      url: "https://gitea.arnodo.fr/Damien"
      params:
        icon: gitea

params:
  theme:
    default: light
    displayToggle: false
  # Navbar
  navbar:
    displayTitle: true
    displayLogo: true
    # Logo
    logo:
      path: images/logo.svg
      width: 40
      height: 20
  # Search
  search:
    enable: true
    type: flexsearch
    flexsearch:
      # index page by: content | summary | heading | title
      index: heading
  # Blog
  blog:
    list:
      displayTags: true
      sortBy: date
      sortOrder: desc
      pagerSize: 10
    article:
      displayPagination: true

markup:
  goldmark:
    renderer:
      unsafe: true

deployment:
  targets:
    - name: "notebook-arnodo-fr"
      URL: "s3://notebook-arnodo-fr?endpoint=https://s3.fr-par.scw.cloud&region=fr-par"
